nifti.fileinfo-class {arf3DS4} | R Documentation

## arf3DS4 "nifti.fileinfo" class

### Description

The arf3DS4 "nifti.fileinfo" class contains the basic file information needed to read/write an ANALYZE/NIFTI header.

### Objects

Objects can be created by calls of the form `new("nifti.fileinfo", ...)`.

### Slots

`fullpath`:

  Full path of fMRI datafile.

`filename`:

  Filename of the fMRI datafile.

`filetype`:

  Type of the fMRI datafile.

`extension`:

  File extension.

`gzipped`:

  Is the file gzipped?

`endian`:

  Endianness of file.

`version`:

  Object of class "version" (see `version`)

### Methods

Standard arf3DS4 accessor and replacement functions can be used to access and replace slots.

access

  `.classname.slotname(object)`

replace

  `.classname.slotname(object)<-`

In this case classname is "nifti.fileinfo" and slotname is for example "extension". So to access the "extension" slot of an r-object "myniftifileinfo" (of class "nifti.fileinfo") type `.nifti.fileinfo.extension(myfniftifileinfo)`.

### Author(s)

Wouter D. Weeda - w.d.weeda@gmail.com

### References

See the Nifti homepage (http://nifti.nimh.nih.gov/) for more information on the nifti filetype.

### See Also

`nifti.header`, `fmri.data`

### Examples

    showClass("nifti.fileinfo")

[Package arf3DS4 version 2.5-10 Index]